const BASE_TACHE_SOIN_BLESSURE = { type: "tache", img: 'systems/foundryvtt-reve-de-dragon/icons/competence_chirurgie.webp', system: { carac: "dexterite", competence: "Chirurgie", periodicite: "1 round", fatigue: 0, } }
const TACHES_SOIN_BLESSURE = {
  'critique': { name: 'Blessure critique', system: { difficulte: -6, points_de_tache: 6 } },
  'grave': { name: 'Blessure grave', system: { difficulte: -4, points_de_tache: 4 } },
  'legere': { name: 'Blessure légère', system: { difficulte: -2, points_de_tache: 2 } },
}

export class RdDItemTache extends Item {

  static prepareTacheSoin(gravite) {
    const blessure = TACHES_SOIN_BLESSURE[gravite]
    if (blessure) {
      return mergeObject(duplicate(BASE_TACHE_SOIN_BLESSURE), blessure)
    }
    ui.notifications.warn(`Pas de tâche de soins pour une blessure ${gravite}`)
    return undefined;
  }
}